/* Generated by powerful Codeforces Tool
 * Author: xxxodarap
 * Time: 2023-09-07 16:50
**/

#include<bits/stdc++.h>
using namespace std;
namespace R = std::ranges;

#define F(i, a, e) for(ll i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;


template<class T> bool ckmin(T& a, const T& b) { return b < a ? a = b, 1 : 0; }
template<class T> bool ckmax(T& a, const T& b) { return a < b ? a = b, 1 : 0; }


const lf PI = acos(-1), EPSI = 1e-9;

mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());


// =============== Solution section ===============
const ll MAXN = 2e5 + 5;
const ll INF = 1LL << 60;


vector<pair<ll, int>> factorization(ll n) {
  vector<pair<ll, int>> factors;
  for (ll i = 2; i * i <= n; i++)
    if (n % i == 0) {
      int cnt = 0;
      while (n % i == 0)
        n /= i, cnt++;
      factors.push_back({i, cnt});
    }
  if (n > 1)
    factors.push_back({n, 1});
  return factors;
}

ll p;
bool checkprime(int x){
    auto f = factorization(x);

    if(ssize(f) == 1 and f[0].second == 1)
        return 1;
    p = f[0].first;
    return 0;
}


void solve(){
    // Code goes here ...
    ll l, r;
    cin >> l >> r;

    if(r < 4){
        cout << -1 << endl;
        return;
    }
    if(l != r or r % 2 == 0){
        ll x = r % 2 == 0 ? r : r - 1;
        cout << 2 << " " << x - 2 << endl;
        return; 
    }
    // now  l == r and odd
    
    if(checkprime(r))
        cout << -1 << endl;
    else{
        cout << p << " " << r - p << endl;
    }
    
}


// =============== Main section ===============
int main(){
    ios_base::sync_with_stdio(0); cin.tie(0);
    cout << setprecision(12); // << fixed;

    int T = 1;
    cin >> T;
    while(T--)
        solve();

    /* string rest; */
    /* while(cin.peek() != char_traits<char>::eof()){ */
    /*     solve(); */
    /*     getline(cin, rest); */
    /* } */

    return 0;
}
        
